# -*- encoding : utf-8 -*-
	class Public::VideoFilesController < ApplicationController
	
	
	layout "public"


  def index
    @video_folders = VideoFolder.publics.all
  end


	def show
		if @video_file_lang = VideoFileLang.where(:slug => params[:slug], :lang_site_id => LangSite.find_by_slug(params[:lang]).id).first
    
    elsif @video_file_lang = VideoFileLang.where(:slug => params[:slug]).first
    end
    @video_file = @video_file_lang.video_file
	end

end
